from django.urls import re_path


import contest.views as contest_views
from contest.cbrparser import uploadCBR

app_name = 'context'

urlpatterns = [
    re_path(r'^$', contest_views.contestIndex, name='index'),
    re_path(r'^regref/$', contest_views.registerRefs, name='registerRefs'),
    re_path(r'^regref/edit/(?P<uid>\d+)/$', contest_views.updateRef, {"shadow": False}, name='updateRef'),
    re_path(r'^regref/shadow/edit/(?P<uid>\d+)/$', contest_views.updateRef, {"shadow": True}, name='updateShadowRef'),
    re_path(r'^regref/qsos/all/$', contest_views.viewAllQSOs, name='viewAllQSOs'),
    re_path(r'^regref/qsos/user/(?P<uid>\d+)/$', contest_views.viewUserQSOs, name='viewUserQSOs'),
    re_path(r'^overview/$', contest_views.overview, name='overview'),
    re_path(r'^log/$', contest_views.log, name='log'),
    re_path(r'^log/edit/(?P<qsoid>\d+)/$', contest_views.logEdit, name='logEdit'),
    re_path(r'^log/delete/(?P<qsoid>\d+)/$', contest_views.logDelete, name='logDelete'),
    re_path(r'^uploadcbr/$', uploadCBR, name='uploadCBR'),
    re_path(r'^regref/recheckqsos/$', contest_views.recheckAllQSOs, name='recheckAllQSOs'),
]
